Bug 1119866 - Installing Capsule Server cant find rhel-server-rhscl-6-rpms repo
Summary: Installing Capsule Server cant find rhel-server-rhscl-6-rpms repo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Athene Chan
QA Contact: David O'Brien
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 17:12 UTC by paul
Modified: 2015-05-11 22:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 14370, Installation Guide-6.0 Beta-1 Build Date: 30-06-2014 17:42:29 Topic ID: 24316-672990 [Latest]
Last Closed: 2014-09-11 12:20:08 UTC


Attachments (Terms of Use)
my install notes (20.72 KB, text/plain)
2014-07-15 17:12 UTC, paul
no flags Details

Description paul 2014-07-15 17:12:11 UTC
Created attachment 918204 [details]
my install notes

Title: Installing a Red Hat Satellite Capsule Server

Describe the issue: I believe the repo listed is incorect:
subscription-manager repos --enable rhel-server-rhscl-6-rpms

Suggestions for improvement:
is this correct?
subscription-manager repos --enable  rhel-server-6-satellite-6-beta-rpms

Additional information:

THIS WORKS on my capsule server:

subscription-manager unregister
subscription-manager clean
subscription-manager register --org="priority_health" --environment="Library" --release=6.5  admin / changeme
subscription-manager repos --list
empty
subscription-manager subscribe --pool=8ab2829946f7a4e10146f83f150700f3

subscription-manager repos --list
ok, rhel available...
subscription-manager subscribe --pool=8ab2829946f7a4e10146f83875150052
ok, capsule added...

subscription-manager repos --enable  rhel-server-rhscl-6-rpms
subscription-manager repos --enable  rhel-server-6-satellite-6-beta-rpms
subscription-manager repos --enable  rhel-server-6-satellite-capsule-6-beta-rpms


yum info  katello-installer
yum install  katello-installer
Complete!


EXCEPT - ON THE NEXT STEP it FAILS... :(  the foreman group is missing from /etc/group?  is hat the problem, why? should this be a different bug#? 

Generate a Satellite Capsule Server certificate

capsule-certs-generate --capsule-fqdn capsule_satellite6-cap2.internal.priority-health.com --certs-tar  ~/capsule.satellite6-cap2-certs.tar

 Could not set 'directory' on ensure: Could not find group foreman at 9:/usr/share/katello-installer/modules/certs/manifests/config.pp
 Could not set 'directory' on ensure: Could not find group foreman at 9:/usr/share/katello-installer/modules/certs/manifests/config.pp
 /Stage[main]/Certs::Config/File[/etc/pki/katello]/ensure: change from absent to directory failed: Could not set 'directory' on ensure: Could not find group 

foreman at 9:/usr/share/katello-installer/modules/certs/manifests/config.pp
Installing             Done                                               [100%] [............................................................]
  Something went wrong! Check the log for ERROR-level output
  The full log is at /var/log/katello-installer/capsule-certs-generate.log
[root@satellite6-cap2 ~]#


there is a foreman group on my satellite server:
ssh  root@satellite6
root@satellite6's password: 
Last login: Mon Jul 14 08:15:34 2014 from phantom.internal.priority-health.com
[root@satellite6 ~]# grep for /etc/group
puppet:x:52:foreman,foreman-proxy
foreman:x:497:apache,tomcat
foreman-proxy:x:493:
[root@satellite6 ~]#

Comment 1 RHEL Product and Program Management 2014-07-15 17:24:15 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 paul 2014-07-15 17:47:19 UTC
I see that I am missing 
Red Hat Software Collections RPMs for Red Hat Enterprise Linux 6 Server
subscription-manager repos --enable rhel-server-rhscl-6-rpms

somehow I do not have the correct subscription for RHEL made available from the satellite server.  I will look further and update this when I discover my error.

Comment 4 paul 2014-07-15 19:46:10 UTC
So, I unregistered, & reregistered.  My capsule does not have access to the Red Hat Software Collections RPMs, something must be misconfigured on the satellite server.  Or the content is not enabled by default?! 

I subscribed to the pool, but only got limited subscriptions...

[root@satellite6-cap2 ~]# subscription-manager unregister
System has been unregistered.
[root@satellite6-cap2 ~]# subscription-manager clean
All local data removed
[root@satellite6-cap2 ~]# subscription-manager register --org="priority_health" --environment="Library" --release=6.5
Username: admin
Password: 
The system has been registered with ID: 22d7c79f-1912-4c79-92ad-3755d995d059 
[root@satellite6-cap2 ~]# 
[root@satellite6-cap2 ~]# subscription-manager list --available --all                                                                          
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+
Subscription Name: Red Hat Satellite Capsule High Touch Beta
Provides:          Red Hat Satellite Capsule 6 Beta
SKU:               MCT3096
Pool ID:           8ab2829946f7a4e10147202edeb20358
Available:         5
Suggested:         1
Service Level:     Self-Support
Service Type:      L1-L3
Multi-Entitlement: No
Ends:              09/28/2014
System Type:       Physical

Subscription Name: 90 Day Red Hat Enterprise Linux Server Supported Evaluation with Smart Management, Monitoring Monitoring and all Add-Ons
Provides:          Red Hat Enterprise Linux Scalable File System (for RHEL Server)
                   Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support
                   Red Hat Software Collections (for RHEL Server)
                   Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux Server - Extended Update Support
                   Red Hat Beta
                   Oracle Java (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux High Performance Networking (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux Resilient Storage (for RHEL Server)
                   Oracle Java (for RHEL Server)
                   Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux Server
                   Red Hat Enterprise Linux High Availability (for RHEL Server)
                   Red Hat Software Collections Beta (for RHEL Server)
                   Red Hat Enterprise Linux Load Balancer (for RHEL Server)
                   Red Hat Enterprise Linux High Performance Networking (for RHEL Server)
                   Red Hat Developer Toolset (for RHEL Server)
SKU:               RH00068
Pool ID:           8ab2829946f7a4e10146f83f150700f3
Available:         71
Suggested:         2
Service Level:     Standard
Service Type:      L1-L3
Multi-Entitlement: Yes
Ends:              09/28/2014
System Type:       Physical

Subscription Name: Red Hat Satellite High Touch Beta
Provides:          Red Hat Satellite Capsule 6 Beta
                   Red Hat Satellite 6 Beta
SKU:               MCT1741
Pool ID:           8ab2829946f7a4e10146f83875150052
Available:         1
Suggested:         1
Service Level:     Self-Support
Service Type:      L1-L3
Multi-Entitlement: No
Ends:              09/28/2014
System Type:       Physical

[root@satellite6-cap2 ~]# 
[root@satellite6-cap2 ~]# 
[root@satellite6-cap2 ~]# subscription-manager subscribe --pool=8ab2829946f7a4e10146f83f150700f3
Successfully attached a subscription for: 90 Day Red Hat Enterprise Linux Server Supported Evaluation with Smart Management, Monitoring Monitoring and all Add-Ons
[root@satellite6-cap2 ~]# subscription-manager repos --list
+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   rhel-6-server-rpms
Repo Name: Red Hat Enterprise Linux 6 Server (RPMs)
Repo URL:  https://satellite6.internal.priority-health.com/pulp/repos/priority_health/Library/content/dist/rhel/server/6/6.5/$basearch/os
Enabled:   1

Repo ID:   rhel-6-server-supplementary-rpms
Repo Name: Red Hat Enterprise Linux 6 Server - Supplementary (RPMs)
Repo URL:  https://satellite6.internal.priority-health.com/pulp/repos/priority_health/Library/content/dist/rhel/server/6/6.5/$basearch/supplemen
           tary/os
Enabled:   0

Repo ID:   rhel-6-server-rh-common-rpms
Repo Name: Red Hat Enterprise Linux 6 Server - RH Common (RPMs)
Repo URL:  https://satellite6.internal.priority-health.com/pulp/repos/priority_health/Library/content/dist/rhel/server/6/6.5/$basearch/rh-common
           /os
Enabled:   0

Repo ID:   rhel-6-server-fastrack-rpms
Repo Name: Red Hat Enterprise Linux 6 Server - Fastrack (RPMs)
Repo URL:  https://satellite6.internal.priority-health.com/pulp/repos/priority_health/Library/content/fastrack/rhel/server/6/$basearch/os
Enabled:   0

Repo ID:   rhel-6-server-optional-rpms
Repo Name: Red Hat Enterprise Linux 6 Server - Optional (RPMs)
Repo URL:  https://satellite6.internal.priority-health.com/pulp/repos/priority_health/Library/content/dist/rhel/server/6/6.5/$basearch/optional/
           os
Enabled:   0

Repo ID:   rhel-6-server-extras-rpms
Repo Name: Red Hat Enterprise Linux 6 Server - Extras (RPMs)
Repo URL:  https://satellite6.internal.priority-health.com/pulp/repos/priority_health/Library/content/dist/rhel/server/6/6Server/$basearch/extra
           s/os
Enabled:   0

[root@satellite6-cap2 ~]# 


Confusing.  
-paul

Comment 5 paul 2014-07-16 15:02:32 UTC
I’ve been working on a installation of capsule, it seems that you cannot install capsule using the subscriptions on a satellite server.  You must register and install the software directly from redhat.
That seems to be the case as far as I’ve tested…

I made the assumption that I could present my licenses to the satellite server then install capsules from there, but I cannot. 
I’ll backtrack, edit my manifest and leave the satellite, and a few RHEL licenses on the redhat servers.  I don’t believe I can register a capsule and get content from both redhat and from a satellite server. 

I was thinking if I could get the 90 Day Red Hat Enterprise Linux Server Supported Evaluation from RedHat’s subscription service (I put this license on Satellite and attempted to subscribe with capsule but the rhel-server-rhscl-6-rpms comes back as not a valid repo ID – but it’s required!)  and then get the Satellite rpms from the satellite server.  But how do use subscription manager to register to both?  
(I doubt I can)

I will reinstall capsule, acquiring all the licenses directly from redhat…

Comment 6 paul 2014-07-16 16:30:04 UTC
OK, my fault.

I realized that I did not have content synced for 
Red Hat Software Collections Beta RPMs for Red Hat Enterprise Linux 6 Server
that's why the repo was missing.   Thick as a brick sometimes...

Comment 7 paul 2014-07-16 16:59:00 UTC
ok, now I back where I started from. Now I found that rhel-server-rhscl-6-rpms should be rhel-server-rhscl-6-beta-rpms, yes???  that is the only software collections Repository (Beta!) that was available to sync. 

I will open a new ticket for the certs failure.

subscription-manager unregister
subscription-manager clean
subscription-manager register --org="priority_health" --environment="Library" --release=6.5  admin / changeme
subscription-manager subscribe --pool=8ab2829946f7a4e10146f83f150700f3
subscription-manager subscribe --pool=8ab2829946f7a4e10146f83875150052
ok, rhel & capsule added...

subscription-manager repos --disable "*"
subscription-manager repos --enable rhel-6-server-rpms 
subscription-manager repos --enable rhel-server-rhscl-6-rpms  **not found **

subscription-manager repos --enable rhel-server-rhscl-6-beta-rpms
subscription-manager repos --enable rhel-server-6-satellite-capsule-6-beta-rpms


yum info  katello-installer
yum install  katello-installer
Complete!

Generate a Satellite Capsule Server certificate

capsule-certs-generate --capsule-fqdn capsule_satellite6-cap2.internal.priority-health.com --certs-tar  ~/capsule.satellite6-cap2-certs.tar

 Could not set 'directory' on ensure: Could not find group foreman at 9:/usr/share/katello-installer/modules/certs/manifests/config.pp
 Could not set 'directory' on ensure: Could not find group foreman at 9:/usr/share/katello-installer/modules/certs/manifests/config.pp
 /Stage[main]/Certs::Config/File[/etc/pki/katello]/ensure: change from absent to directory failed: Could not set 'directory' on ensure: Could not find group 

foreman at 9:/usr/share/katello-installer/modules/certs/manifests/config.pp
Installing             Done                                               [100%] [............................................................]
  Something went wrong! Check the log for ERROR-level output
  The full log is at /var/log/katello-installer/capsule-certs-generate.log
[root@satellite6-cap2 ~]#

Comment 8 Athene Chan 2014-07-16 23:48:41 UTC
Hi Paul!

The rhscl rpm was a recent change we added as we were informed that the rhscl package name should not have the "beta" in it. I'll investigate further. Sorry for any inconvenience.

Incidentally though, as a Red Hat Satellite 6 beta tester, are you a part of the mailing list as well? The developers in the mailing list should also be able to assist should you run into problems with testing beta.

(Unless it's mainly a documentation issue, then feel free to add it here. :) )

Cheers,
Athene

Comment 9 Ivan Necas 2014-07-17 07:03:49 UTC
Do you run the capsule-certs-generate on the capsule or on the sat6 server: it should be run on the sat6

Comment 10 paul 2014-07-17 11:29:26 UTC
Hi Athene, 

The rhscl rpm is in the Software Collections Beta and needs to be synced to the Sat6 server.  This is my syncec content.  That should be noted in the Install doc 5.2 item #4 - Enable the Satellite and Red Hat Enterprise Linux repositories... 
 
PRODUCT	 	 
Red Hat Enterprise Linux Server			 	
Red Hat Software Collections Beta for RHEL Server		 	
Red Hat Satellite 6 Beta			 
Red Hat Satellite Capsule 6 Beta



	
Hi Ivan, 

You are correct! My bad...  It does say 5.3.1 On the Satellite server...  

That answers all my questions. 	Thanks for your help!

We can close this ticket.

Cheers!
Paul

Comment 11 Athene Chan 2014-07-18 02:10:02 UTC
Thanks Ivan for the help!

I've also added this paragraph to the Capsule Server Prerequisites to make sure that rhscl is enabled and available for the Capsule Server.

Red Hat Satellite Server
The Satellite Server must have the Red Hat Software Collections repositories enabled and synchronized prior to the Capsule Server installation.

Comment 13 Bryan Kearney 2014-09-11 12:20:08 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.